Instantly run a transform to process data.
If you run this API, the transform will process the new data instantly,
without waiting for the configured frequency interval. After the API is called,
the transform will be processed again at now + frequency unless the API
is called again in the meantime.
Required authorization
- Cluster privileges:
manage_transform
Query parameters
-
Controls the time to wait for the scheduling to take place
External documentation -
When true, defers the scheduling by the transform's configured sync delay instead of triggering immediately. The transform will process new data after the delay elapses rather than right away.
POST
/_transform/{transform_id}/_schedule_now
Console
POST _transform/ecommerce_transform/_schedule_now
resp = client.transform.schedule_now_transform(
transform_id="ecommerce_transform",
)
const response = await client.transform.scheduleNowTransform({
transform_id: "ecommerce_transform",
});
response = client.transform.schedule_now_transform(
transform_id: "ecommerce_transform"
)
$resp = $client->transform()->scheduleNowTransform([
"transform_id" => "ecommerce_transform",
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_transform/ecommerce_transform/_schedule_now"
client.transform().scheduleNowTransform(s -> s
.transformId("ecommerce_transform")
);
Response examples (200)
A successful response when the transform is scheduled to run now.
{
"acknowledged": true
}